1. 01 Jun, 2018 2 commits
  2. 21 Mar, 2017 1 commit
  3. 05 Dec, 2016 1 commit
  4. 19 Feb, 2016 1 commit
    • Nils Goroll's avatar
      add back configure pthread support · 7f1e9a1e
      Nils Goroll authored
      This partly reverts my previous commit 78ac8836,
      which was wrong:
      
      Varnish is massively multithreaded, so all vmods must be thread-safe.
      
      While it is possible to write thread-safe vmods without pthreads support,
      some systems (like those of the Solaris-heritage) need additional compiler
      flags for MT support (-D_REENTRANT -pthreads). To avoid weird potential
      issues, we should, by default, include full MT support.
      
      Also, libpthreads is available for vmods because varnishd itself links
      against it, but, again, making this dependency explicit should be the right way.
      7f1e9a1e
  5. 18 Feb, 2016 2 commits
  6. 31 Jan, 2016 7 commits
  7. 30 Jan, 2016 1 commit
  8. 29 Jan, 2016 1 commit
  9. 17 Jun, 2015 1 commit
  10. 16 Mar, 2015 1 commit
  11. 07 Mar, 2015 1 commit
  12. 03 Mar, 2015 6 commits
  13. 28 Jan, 2015 1 commit
  14. 05 Nov, 2014 1 commit
    • Lasse Karstensen's avatar
      Require recent autoconf. · f4887c22
      Lasse Karstensen authored
      On EL6 systems the packaged 2.63 version is missing AS_VAR_COPY.
      This seems to have been added in 2.63b, released sometime in 2008.
      
      With this commit we cut off any vmod development being done on
      EL6 and earlier. (building and running should work)
      f4887c22
  15. 30 Oct, 2014 1 commit
  16. 29 Oct, 2014 1 commit
  17. 16 Sep, 2014 1 commit
  18. 10 Jan, 2014 1 commit
  19. 30 Jul, 2013 2 commits
  20. 21 Sep, 2011 1 commit
  21. 31 May, 2011 1 commit
  22. 26 May, 2011 1 commit
  23. 25 May, 2011 2 commits
  24. 10 Feb, 2011 2 commits